use crate::deserialize::vec_ids_from_string;
use crate::FeedGroupID;
use crate::FeedID;
use serde::Deserialize;

#[derive(Clone, Debug, Deserialize)]
pub struct FeedsGroups {
    pub group_id: FeedGroupID,
    #[serde(deserialize_with = "vec_ids_from_string")]
    pub feed_ids: Vec<FeedID>,
}

impl FeedsGroups {
    /// destroy this entry and gain ownership of all the data it contains
    pub fn decompose(self) -> (FeedGroupID, Vec<FeedID>) {
        (self.group_id, self.feed_ids)
    }
}
