use crate::deserialize::*;
use crate::models::feedgroup::FeedsGroups;
use crate::GroupID;
use serde::Deserialize;

#[derive(Clone, Debug, Deserialize)]
pub struct Group {
    #[serde(deserialize_with = "to_u64")]
    pub id: GroupID,
    pub title: String,
}

#[derive(Clone, Debug, Deserialize)]
pub struct Groups {
    #[serde(deserialize_with = "to_i64")]
    pub last_refreshed_on_time: i64,
    pub groups: Vec<Group>,
    pub feeds_groups: Vec<FeedsGroups>,
}

impl Group {
    /// destroy this entry and gain ownership of all the data it contains
    pub fn decompose(self) -> (GroupID, String) {
        (self.id, self.title)
    }
}
